﻿@using NacGroup.Module.Core.Models
@using NacGroup.Module.Core.Services
@using Newtonsoft.Json.Linq
@inject IGettingGlobalConfigService GettingGlobalConfigService
@inject IThemeConfigService ThemeConfigService
@{
    var globalConfig = GettingGlobalConfigService.GetConfiguration();
    ViewData["MetaTitle"] = "Contact Us";
    ViewData["MetaDescription"] = "Contact Us";
    ViewData["MetaKeyword"] = "Contact Us";
    Layout = "_Layout";
    var coverimage = ThemeConfigService.GetByKey(ConstKey.CoverImageThemeKey)?.Data;
    var coversrc = coverimage != null ? JArray.FromObject(coverimage) : null;

}
@section Style{
    <link href="/tenants/@globalConfig.TenantName.ToLower()/themes/@globalConfig.WebsiteTheme.ToLower()/live/css/static-page.min.css" rel="stylesheet" />
}
@section Script{
    <script src="/tenants/@globalConfig.TenantName.ToLower()/themes/@globalConfig.WebsiteTheme.ToLower()/live/scripts/static-page.js"></script>
    <script src="https://www.google.com/recaptcha/api.js" defer></script>
    <script>
        $(document).ready(function () {
            $(".nav li[data-id='contact-us']").addClass("active");
        });
    </script>
}
<main id="contact-page" class="static-page">
    <h1 class="hidden">@(ViewData["MetaTitle"])</h1>
    <div id="breadcrumb" class=""
         style="background-image: url('@(coversrc != null ? coversrc[0]["Src"].ToString():"")');">
        <div class="container text-center p-4">
            <h2 class="breadcrumb-header h1 text-uppercase text-bold">@(ViewData["MetaTitle"])</h2>
            <ul class="my-ul breadcrumb-body">
                <li><a href="/">Home</a></li>
                <li class="active">@(ViewData["MetaTitle"])</li>
            </ul>
        </div>
    </div>
    <section id="contact" class="container static">
        <div class="section-header flex-container h4">
            <div class="item">
                <i class="demo-icon ecs-location"></i>
                <div>@Html.Raw(globalConfig.GlobalWebSetting["WebInfomation"]["WebsiteAddress"])</div>
            </div>
            <div class="item">
                <i class="demo-icon ecs-phone"></i>
                <a href="tel:@(globalConfig.GlobalWebSetting["WebInfomation"]["WebsitePhone"].ToString().Replace("-",""))">
                    <div>@(globalConfig.GlobalWebSetting["WebInfomation"]["WebsitePhone"].ToString().Replace("+1-",""))</div>
                </a>
            </div>
            <div class="item">
                <i class="demo-icon ecs-mail-alt"></i>
                <div>@(globalConfig.GlobalWebSetting["WebInfomation"]["WebsiteEmail"])</div>
            </div>

        </div>
        <div class="section-body m-2">
            @(Html.Raw(globalConfig.GlobalWebSetting["WebInfomation"]["WebsiteGoogleMap"]))
        </div>
        <div class="section-footer">
            <h2 class="h1 text-bold text-uppercase m-bot-2">CONTACT US</h2>
            <form action="/contact-us/submitform" id="js-contact-form" method="post"
                  onsubmit="return false; submitcontact();">
                <div class="error-lst alert-danger" style="display: none">
                    <ul></ul>
                </div>
                <input type="text" class="form-control" placeholder="Full name" name="name">
                <input type="text" class="form-control" placeholder="Email" name="email">
                <input type="text" class="form-control" placeholder="Your phone number" name="phonenumber">
                <textarea class="form-control m-bot-1" placeholder="Content" name="body"></textarea>
                <div class="g-recaptcha" data-sitekey="@(globalConfig.GlobalWebSetting["WebsiteConfig"]["GcaptchaPublic"])"></div>
                <button type="submit" class="btn btn-primary btn-big btn-loading m-top-2"
                        onclick="submitcontact('#js-contact-form')">
                    Send
                </button>
                <input type="hidden" name="title" value="Contact Page">
                <input type="hidden" name="type" value="contact">
            </form>
        </div>
    </section>
</main>